{{debug "Rollable: " this}}
<form class="mydialog">
    <div class="rollables">
        {{#if (or (eq rollabledata.type 'Melee-Attack') (eq rollabledata.type 'Ranged-Attack'))}}
        <div class="item entry {{#if (eq rollabledata.type 'Melee-Attack')}}melee{{else if (contains rollabledata.name " Ranged") }}spell{{else}}ranged{{/if}}" data-item-id="{{rollabledata._id}}" title="{{rollabledata.system.notes}}">
            <label class="name"> {{rollabledata.name}} </label>
            <label class="rollable" data-name="{{rollabledata.name}}" data-roll="{{rollabledata.system.value}}" data-modtype="attack" data-type="modlist">[ {{rollabledata.system.moddedvalue}} ]</label>
            <a class="rollable" data-target="{{target}}" data-name="{{rollabledata.name}}" data-item-id="{{rollabledata._id}}" data-roll="{{rollabledata.system.value}}" data-type="attack"> <i class="fas fa-dice-d20"></i> </a>
        </div>
        {{else if (or (eq rollabledata.type 'Attribute') (eq rollabledata.type 'Skill'))}}
        <div class="item entry {{rollabledata.system.group}}" data-item-id="{{rollabledata._id}}" title="{{rollabledata.system.notes}}">
            <label> {{~rollabledata.name~}} </label>
            <label>[ {{~rollabledata.system.moddedvalue~}} ]</label>
            <a class="rollable" data-name="{{rollabledata.name}}" data-item-id="{{rollabledata._id}}" data-roll="{{rollabledata.system.value}}" data-type="skill">
                <i class="fas fa-dice-d20"></i>
            </a>
        </div>
        {{else if (eq rollabledata.type 'Defence')}}
        <div class="item entry {{item.system.group}}" data-item-id="{{rollabledata._id}}" title="{{rollabledata.system.notes}}">
            <label class="name"> {{rollabledata.name}} </label>
            <label class="rollable" data-name="{{rollabledata.name}}" data-roll="{{rollabledata.system.value}}" data-modtype="defence" data-type="modlist">[ {{rollabledata.system.moddedvalue}} ]</label>
            <a class="rollable" data-name="{{rollabledata.name}}" data-item-id="{{rollabledata._id}}" data-roll="{{rollabledata.system.value}}" data-type="{{rollabledata.system.category}}"> <i class="fas fa-dice-d20"></i> </a>
        </div>
        {{else if (eq rollabledata.type 'Rollable')}}
        {{#if (eq rollabledata.system.category "technique")}}
        <div class="item entry {{item.system.group}}" data-item-id="{{rollabledata._id}}" title="{{rollabledata.system.notes}}">
            <label class="name rollable" data-name="{{rollabledata.name}}" data-item-id="{{rollabledata._id}}" data-roll="{{rollabledata.system.notes}}" data-type="technique"> {{rollabledata.name}} </label>
            <label></label>
            <label></label>
        </div>
        {{else}}
        <div class="item entry {{item.system.group}}" data-item-id="{{rollabledata._id}}" title="{{rollabledata.system.notes}}">
            <label class="name"> {{rollabledata.name}} </label>
            <label class="rollable" data-name="{{rollabledata.name}}" data-roll="{{rollabledata.system.value}}" data-modtype="{{rollabledata.system.category}}" data-type="modlist">[{{rollabledata.system.moddedvalue}}]</label>
            <a class="rollable" data-name="{{rollabledata.name}}" data-item-id="{{rollabledata._id}}" data-roll="{{rollabledata.system.value}}" data-type="{{rollabledata.system.category}}"> <i class="fas fa-dice-d20"></i> </a>
        </div>
        {{/if}}
        {{/if}}
    </div>
    {{#if hasTarget}}
    <hr>
    <div class="target">Tgt: {{target}}</div>
    {{/if}}
    <hr>
    <div class="modifiers">
        {{! the global modifier }}
        <div class="diagmod">
            {{~localize 'local.actor.gmod.name'~}}
            :<input class="gmod iteminput" type="number" value="{{actor.system.gmod.value}}" data-dtype="Number" data-name="system.gmod.value" data-attack-id="{{rollabledata._id}}" />
        </div>
        {{#each modifiers as |item|}}
        {{#if item.system.alwaysOn}}
        {{! do not display permanent modifiers }}
        {{else}}
        {{#if (eq item.type 'Modifier')}}
        {{! modifiers }}
        <div class="item diamod{{#if item.system.inEffect}} inEffect{{/if}}{{#if (and item.system.attack item.system.damage)}} attackdamagemod{{else if item.system.attack}} attackmod{{else if item.system.damage}} damagemod{{/if}}" data-item-id="{{item._id}}" title="{{item.system.notes}}">
            <label class="item-toggle" data-attack-id="{{../rollabledata._id}}">{{item.name}}</label>
        </div>
        {{else if (eq item.type 'Variable')}}
        {{! variables }}
        <div class="item diavar" title="{{item.system.notes}}" data-item-id="{{item._id}}">
            <label class="variablename">{{item.name}}</label>
            <select class="variable iteminput" data-name="system.label" data-attack-id="{{../rollabledata._id}}">
                {{#select item.system.label}}
                {{#each item.system.entries as |entry e|}}
                {{#if (ne @index 0)}}
                <option value="{{entry.label}}">{{entry.label}}</option>
                {{/if}}
                {{/each}}
                {{/select}}
            </select>
        </div>
        {{else if (eq item.type 'Pool')}}
        {{! pools }}
        <div class="item diapool" title="{{item.system.notes}}" data-item-id="{{item._id}}">
            <label class="poolname">{{item.name}}:</label>
            <input class="pool iteminput" type="number" value="{{item.system.value}}" data-dtype="Number" data-name="system.value" data-abbr="{{item.system.abbr}}" data-attack-id="{{../rollabledata._id}}" />
            <span>{{#unless (eq item.system.value item.system.moddedvalue)}}[{{item.system.moddedvalue}}]{{/unless}}/{{item.system.max}}</span>
        </div>
        {{else}}
        {{/if}}
        {{/if}}
        {{/each}}
    </div>
</form>
